function getProjectInfo(xmlDoc) {
	dump("Extracting project config \n");
	var projectNode = xmlDoc.getElementsByTagName("project")[0];
	for(var i=0; i< projectNode.attributes.length;i++) {
		dump(i + " " + projectNode.attributes.item(i) + " " + projectNode.attributes.item(i).nodeName + " " + projectNode.attributes.item(i).nodeValue + "\n");
		projectInfo[projectNode.attributes.item(i).nodeName] = projectNode.attributes.item(i).nodeValue;
	}
	
}

function dumpXML(xml, len) {
	 var output = new DOMParser().parseFromString(xml, "text/xml");
	dump("\n\nXML CONTENT\n" + output + "\n\n");
}

function structCount(obj) {
	var counter = 0;
	for(i in obj) counter++;
	return counter;
}


function xmlEscape(myText) {
	myText = replaceAll(myText, "<", "&lt;");
	myText = replaceAll(myText, ">", "&gt;");
	myText = replaceAll(myText, "&", "&amp;");
	dump("returning xml escaped " + myText + "\n");
	return myText;	
}

function xmlUnescape(myXML) {
	myText = replaceAll(myXML, "&lt;", "<");
	myText = replaceAll(myXML, "&gt;", ">");
	myText = replaceAll(myXML, "&amp;", "&");
	dump("returning xml escaped " + myXML + "\n");
	return myXML;
}

function deleteAllChilds(node) {
	if(node) {
	for(var i=node.childNodes.length -1; i>=0;i=i-1) {
		node.removeChild(node.childNodes.item(i));
	}
	}
}

function listLast(list, separator) {
	//if(!separator) separator = blozomFileSeparator
	var arList = list.split(separator);
	return arList[arList.length - 1];
}

function listLen(mylist, separator) {
	var arList = mylist.split(separator);
	return arList.length;
}

function replaceAll(myString, mySubString, myNewString) {
	if(myString != 'undefined') {
		//dump("Replacing in " + myString + " this " + mySubString + " with " + myNewString + "\n");
		if(myString.length > 0) {
			while(myString.indexOf(mySubString) > -1) {
				//dump("repped " + myString + "\n");
				myString = myString.replace(mySubString, myNewString);
		}
		return myString;
	} else {
		return '';
	}
	}
}